Subject: Re: [PATCH v9 0/6] transport-helper: fixes

From: Junio C Hamano <[email-masked]>
Date: Fri, 18 Apr 2014 18:09:11 -0700

Felipe Contreras <[email-masked]> writes:

> Junio C Hamano wrote:
>> Felipe Contreras <[email-masked]> writes:
>> 
>> > These patches add support for remote helpers --force, --dry-run, and reporting
>> > forced update.
>> >
>> > Changes since v8:
>> >
>> > --- a/transport-helper.c
>> > +++ b/transport-helper.c
>> > @@ -734,7 +734,7 @@ static int push_update_ref_status(struct strbuf *buf,
>> >         }
>> >  
>> >         (*ref)->status = status;
>> > -       (*ref)->forced_update = forced;
>> > +       (*ref)->forced_update |= forced;
>> >         (*ref)->remote_status = msg;
>> >         return !(status == REF_STATUS_OK);
>> >  }
>> 
>> Hmph, isn't v8 already in 'master' as of 90e6255a (Merge branch
>> 'fc/transport-helper-fixes', 2014-03-18)?
>
> I think I saw gitk report "Branches: remotes/origin/pu", but OK.

I don't get that "but" part, but as I said, if what you wanted to
apply has further updates relative to what we have, please send in
incremental.  The patches did not apply cleanly near the tip of
'master', so I didn't check what could be missing myself.

Thanks.